#!/bin/sh

PATH=/bin:/sbin:/usr/bin:/usr/sbin
DATA=/tmp/data

echo Starting $0 `date`

mkdir -p ${DATA}

mount /dev/mmcblk2p9 ${DATA}

if [ -f ${DATA}/data/com.android.providers.settings/databases/settings.db ]
then
   echo "Changing screen timeout value"
   cp ${UPDATE_MP}/tmp/sqlite3 /tmp/sqlite3
   chmod +x /tmp/sqlite3
   echo "   from:"
   /tmp/sqlite3 ${DATA}/data/com.android.providers.settings/databases/settings.db "select * from system where name='screen_off_timeout';"
   /tmp/sqlite3 ${DATA}/data/com.android.providers.settings/databases/settings.db "update system set value='3000' where name='screen_off_timeout';"
   echo "   to:"
   /tmp/sqlite3 ${DATA}/data/com.android.providers.settings/databases/settings.db "select * from system where name='screen_off_timeout';"
 fi

umount ${DATA}

echo Done $0 `date`
